Bug 822991 - [abrt] dosbox-0.74-6.fc17: elf_machine_rela_relative: Process /usr/bin/dosbox was killed by signal 11 (SIGSEGV)
[abrt] dosbox-0.74-6.fc17: elf_machine_rela_relative: Process /usr/bin/dosbox...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dosbox (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:97f0f92f2bf1ae368a870fc5aa4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 13:50 EDT by Ifrit
Modified: 2013-07-31 14:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (1.18 KB, text/plain)
2012-05-18 13:50 EDT, Ifrit
no flags Details
File: backtrace (97.12 KB, text/plain)
2012-05-18 13:50 EDT, Ifrit
no flags Details
File: smolt_data (3.29 KB, text/plain)
2012-05-18 13:50 EDT, Ifrit
no flags Details
File: maps (5.56 KB, text/plain)
2012-05-18 13:50 EDT, Ifrit
no flags Details

  None (edit)
Description Ifrit 2012-05-18 13:50:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        dosbox
comment:        I running dosbox from xfce-terminal and dosbox segfault at c1647d95 ip 0045550c sp bfe161b0 error 7 in ld-2.15.so
crash_function: elf_machine_rela_relative
executable:     /usr/bin/dosbox
kernel:         3.3.4-4.fc17.i686
pid:            5790
pwd:            /home/ifrit
remote_result:  613346
time:           Сб. 12 мая 2012 23:34:23
uid:            1000
username:       ifrit

backtrace:      Text file, 99447 bytes
event_log:      Binary file, 1211 bytes
maps:           Text file, 5690 bytes
smolt_data:     Binary file, 3368 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ifrit/2

core_backtrace:
:55f74def006b96ec11adb895d30e4608864457ea 0xc50c _dl_relocate_object ld-linux.so.2 -
:55f74def006b96ec11adb895d30e4608864457ea 0x35c9 dl_main ld-linux.so.2 -
:55f74def006b96ec11adb895d30e4608864457ea 0x15026 _dl_sysdep_start ld-linux.so.2 -
:55f74def006b96ec11adb895d30e4608864457ea 0x5031 _dl_start ld-linux.so.2 -
:55f74def006b96ec11adb895d30e4608864457ea 0x10f7 _start ld-linux.so.2 -

dso_list:
:/usr/lib/nvidia/tls/libnvidia-tls.so.295.49 xorg-x11-drv-nvidia-libs-1:295.49-1.fc17.i686 (RPM Fusion) 1336578825
:/usr/lib/librt-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/libpthread-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/nvidia/libnvidia-glcore.so.295.49 xorg-x11-drv-nvidia-libs-1:295.49-1.fc17.i686 (RPM Fusion) 1336578825
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1334582549
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-9.fc17.i686 (Fedora Project) 1334582567
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1336470135
:/usr/lib/libSDL_net-1.2.so.0.8.0 SDL_net-1.2.8-1.fc17.i686 (Fedora Project) 1336769246
:/usr/lib/libSDL_sound-1.0.so.1.0.2 SDL_sound-1.0.3-9.fc17.i686 (Fedora Project) 1336769245
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1336470112
:/usr/lib/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.i686 (Fedora Project) 1336470141
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1334582550
:/usr/lib/libasound.so.2.0.0 alsa-lib-1.0.25-3.fc17.i686 (Fedora Project) 1334582661
:/usr/lib/libmikmod.so.3.0.0 libmikmod-3.2.0-13.beta2.fc17.i686 (Fedora Project) 1336769245
:/usr/bin/dosbox dosbox-0.74-6.fc17.i686 (Fedora Project) 1336769247
:/usr/lib/libm-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/etc/ld.so.cache glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/libspeex.so.1.5.0 speex-1.2-0.14.rc1.fc17.i686 (Fedora Project) 1334582552
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1334582545
:/usr/lib/ld-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/libvorbis.so.0.4.6 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1334582547
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1334582540
:/usr/lib/nvidia/libGL.so.295.49 xorg-x11-drv-nvidia-libs-1:295.49-1.fc17.i686 (RPM Fusion) 1336578825
:/usr/lib/libc-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/libvorbisfile.so.3.3.5 libvorbis-1:1.3.3-1.fc17.i686 (Fedora Project) 1334582547
:/usr/lib/libdl-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336470128
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1336470141
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-4.fc17.i686 (Fedora Project) 1334582547
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-16.fc17.i686 (Fedora Project) 1334583499
:/usr/lib/libmodplug.so.1.0.0 libmodplug-1:0.8.8.4-2.fc17.i686 (Fedora Project) 1334582645

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=981
:XDG_SESSION_ID=2
:HOSTNAME=laptop.ifrit
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/ifrit/.gnupg/S.gpg-agent:1001:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:WINDOWID=52428804
:GNOME_KEYRING_CONTROL=/run/user/ifrit/keyring-K9sx5m
:'IMSETTINGS_MODULE=X compose table'
:USER=ifrit
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-GWUQahzGA840/agent.840
:USERNAME=ifrit
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/997,unix/unix:/tmp/.ICE-unix/997
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ifrit/.local/bin:/home/ifrit/bin
:MAIL=/var/spool/mail/ifrit
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:PWD=/home/ifrit
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=838
:LANG=ru_RU.UTF-8
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ifrit
:SHLVL=3
:LOGNAME=ifrit
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MgrFyPJIe7,guid=f480a2777af564cc9a031ae300000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ifrit
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-ifrit-pClYAc/database
:_=/usr/bin/dosbox

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24230                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24230                24230                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	02
:1:/dev/pts/0
:pos:	0
:flags:	02
:2:/dev/pts/0
:pos:	0
:flags:	02

var_log_messages:
:May 12 00:47:27 laptop yum[4200]: Installed: dosbox-0.74-6.fc17.i686
:May 12 23:34:23 laptop kernel: [24742.871663] dosbox[5790]: segfault at c14ded95 ip 4d6ae50c sp bfc5ea70 error 7 in ld-2.15.so[4d6a2000+1f000]
:May 12 23:34:24 laptop abrt[5791]: Saved core dump of pid 5790 (/usr/bin/dosbox) to /var/spool/abrt/ccpp-2012-05-12-23:34:23-5790 (32677888 bytes)

xsession_errors:
:abrt-applet: repeated problem in dosbox-0.74-6.fc17, not showing the notification
:abrt-applet: repeated problem in dosbox-0.74-6.fc17, not showing the notification
:abrt-applet: repeated problem in dosbox-0.74-6.fc17, not showing the notification
Comment 1 Ifrit 2012-05-18 13:50:12 EDT
Created attachment 585458 [details]
File: event_log
Comment 2 Ifrit 2012-05-18 13:50:14 EDT
Created attachment 585459 [details]
File: backtrace
Comment 3 Ifrit 2012-05-18 13:50:16 EDT
Created attachment 585460 [details]
File: smolt_data
Comment 4 Ifrit 2012-05-18 13:50:18 EDT
Created attachment 585461 [details]
File: maps
Comment 5 Fedora End Of Life 2013-07-03 15:40:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 14:29:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.